From 2d7b8d45f23eb59e32c2350fc66943db7431a96e Mon Sep 17 00:00:00 2001
From: Simon McVittie <smcv@debian.org>
Date: Sun, 20 Nov 2016 16:32:53 +0000
Subject: [PATCH] mergechanges: treat *.buildinfo like *.deb for --indep,
 --source options

Closes: #843470
Signed-off-by: Simon McVittie <smcv@debian.org>
---
 debian/changelog        | 5 +++++
 scripts/mergechanges.sh | 4 ++--
 2 files changed, 7 insertions(+), 2 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index cc4327e..be5ce00 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -36,6 +36,11 @@ devscripts (2.16.9) UNRELEASED; urgency=medium
   * build-rdeps:
     + add -q/--quiet option for use in scripts (Closes: #844327)
 
+  [ Simon McVittie ]
+  * mergechanges:
+    + Treat *.buildinfo like *.deb when using --indep, --source options
+      (Closes: #843470)
+
  -- James McCoy <jamessan@debian.org>  Sat, 01 Oct 2016 13:26:57 -0400
 
 devscripts (2.16.8) unstable; urgency=medium
diff --git a/scripts/mergechanges.sh b/scripts/mergechanges.sh
index 1e07622..57bb6c3 100755
--- a/scripts/mergechanges.sh
+++ b/scripts/mergechanges.sh
@@ -129,13 +129,13 @@ checksum_uniq() {
 		    # source
 		    echo "$line"
 		    ;;
-		(*_all.deb|*_all.udeb)
+		(*_all.deb|*_all.udeb|*_all.buildinfo)
 		    # architecture-indep
 		    if test ${REMOVE_INDEP} = 0; then
 			echo "$line"
 		    fi
 		    ;;
-		(*.deb|*.udeb)
+		(*.deb|*.udeb|*.buildinfo)
 		    # architecture-specific
 		    if test ${REMOVE_ARCHDEP} = 0; then
 			echo "$line"
-- 
2.10.2

